Improve tab opening animation
This bug is not about any underlying issues like 2d accel or similar. This is about the animation itself - I think we can do a couple of improvements here and I'll post some patches soon.